Package org.apache.synapse.transport.fix

## Class FIXConstants

- java.lang.Object
- - org.apache.synapse.transport.fix.FIXConstants

-     public class FIXConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BEGIN_STRING` |
    `static String` | `CONNECTION_TYPE` |
    `static String` | `CONSOLE_BASED_MESSAGE_LOGGING` |
    `static int` | `DEFAULT_COUNTER_UPPER_LIMIT` |
    `static String` | `DEFAULT_END_TIME_VALUE` |
    `static long` | `DEFAULT_HEART_BT_INT_VALUE` |
    `static String` | `DEFAULT_START_TIME_VALUE` |
    `static String` | `DELIVER_TO_COMP_ID` |
    `static String` | `DELIVER_TO_LOCATION_ID` |
    `static String` | `DELIVER_TO_SUB_ID` |
    `static String` | `END_TIME` |
    `static String` | `FILE_BASED_MESSAGE_LOGGING` |
    `static String` | `FILE_BASED_MESSAGE_STORE` |
    `static String` | `FIX_ACCEPTOR` |
    `static String` | `FIX_ACCEPTOR_CONFIG_URL_PARAM` |
    `static String` | `FIX_ACCEPTOR_EVENT_HANDLER` |
    `static String` | `FIX_ACCEPTOR_LOGGER_PARAM` |
    `static String` | `FIX_ACCEPTOR_MESSAGE_STORE_PARAM` |
    `static String` | `FIX_BEGIN_STRING_VALIDATION` |
    `static String` | `FIX_BINARY_FIELD` |
    `static String` | `FIX_BODY` |
    `static String` | `FIX_DEFAULT_CONTENT_TYPE` |
    `static String` | `FIX_DROP_EXTRA_RESPONSES` |
    `static String` | `FIX_FIELD` |
    `static String` | `FIX_FIELD_ID` |
    `static String` | `FIX_GROUP` |
    `static String` | `FIX_GROUPS` |
    `static String` | `FIX_HEADER` |
    `static String` | `FIX_IGNORE_ORDER` |
    `static String` | `FIX_INITIATOR` |
    `static String` | `FIX_INITIATOR_CONFIG_URL_PARAM` |
    `static String` | `FIX_INITIATOR_EVENT_HANDLER` |
    `static String` | `FIX_INITIATOR_LOGGER_PARAM` |
    `static String` | `FIX_INITIATOR_MESSAGE_STORE_PARAM` |
    `static String` | `FIX_MESSAGE` |
    `static String` | `FIX_MESSAGE_APPLICATION` |
    `static String` | `FIX_MESSAGE_COUNTER` |
    `static String` | `FIX_MESSAGE_INCOMING_SESSION` |
    `static String` | `FIX_MESSAGE_REFERENCE` |
    `static String` | `FIX_MESSAGE_SERVICE` |
    `static int` | `FIX_MESSAGE_TYPE` |
    `static String` | `FIX_PASSWORD` |
    `static String` | `FIX_PREFIX` |
    `static String` | `FIX_RESPONSE_DELIVER_TO_COMP_ID_PARAM` |
    `static String` | `FIX_RESPONSE_DELIVER_TO_LOCATION_ID_PARAM` |
    `static String` | `FIX_RESPONSE_DELIVER_TO_SUB_ID_PARAM` |
    `static String` | `FIX_RESPONSE_HANDLER_APPROACH` |
    `static String` | `FIX_SERVICE_NAME` |
    `static String` | `FIX_TRAILER` |
    `static String` | `FIX_USERNAME` |
    `static String` | `HEART_BY_INT` |
    `static String` | `JDBC_BASED_MESSAGE_LOGGING` |
    `static String` | `JDBC_BASED_MESSAGE_STORE` |
    `static String` | `LOGON` |
    `static String` | `MEMORY_BASED_MESSAGE_STORE` |
    `static String` | `ON_BEHALF_OF_COMP_ID` |
    `static String` | `ON_BEHALF_OF_LOCATION_ID` |
    `static String` | `ON_BEHALF_OF_SUB_ID` |
    `static int` | `PASSWORD_TAG` |
    `static String` | `SENDER_COMP_ID` |
    `static String` | `SENDER_LOCATION_ID` |
    `static String` | `SENDER_SUB_ID` |
    `static String` | `SESSION_QUALIFIER` |
    `static String` | `SLEEPYCAT_BASED_MESSAGE_STORE` |
    `static String` | `SOCKET_CONNECT_HOST` |
    `static String` | `SOCKET_CONNECT_PORT` |
    `static String` | `START_TIME` |
    `static String` | `TARGET_COMP_ID` |
    `static String` | `TARGET_LOCATION_ID` |
    `static String` | `TARGET_SUB_ID` |
    `static String` | `TRANSPORT_NAME` |
    `static int` | `USERNAME_TAG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIXConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIX_PREFIX

          public static final String FIX_PREFIX

      See Also:
        Constant Field Values

    - #### TRANSPORT_NAME

          public static final String TRANSPORT_NAME

      See Also:
        Constant Field Values

    - #### FIX_ACCEPTOR

          public static final String FIX_ACCEPTOR

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR

          public static final String FIX_INITIATOR

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE

          public static final String FIX_MESSAGE

      See Also:
        Constant Field Values

    - #### FIX_FIELD

          public static final String FIX_FIELD

      See Also:
        Constant Field Values

    - #### FIX_HEADER

          public static final String FIX_HEADER

      See Also:
        Constant Field Values

    - #### FIX_BODY

          public static final String FIX_BODY

      See Also:
        Constant Field Values

    - #### FIX_TRAILER

          public static final String FIX_TRAILER

      See Also:
        Constant Field Values

    - #### FIX_FIELD_ID

          public static final String FIX_FIELD_ID

      See Also:
        Constant Field Values

    - #### FIX_GROUPS

          public static final String FIX_GROUPS

      See Also:
        Constant Field Values

    - #### FIX_GROUP

          public static final String FIX_GROUP

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_SERVICE

          public static final String FIX_MESSAGE_SERVICE

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_APPLICATION

          public static final String FIX_MESSAGE_APPLICATION

      See Also:
        Constant Field Values

    - #### FIX_BINARY_FIELD

          public static final String FIX_BINARY_FIELD

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_REFERENCE

          public static final String FIX_MESSAGE_REFERENCE

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_COUNTER

          public static final String FIX_MESSAGE_COUNTER

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_INCOMING_SESSION

          public static final String FIX_MESSAGE_INCOMING_SESSION

      See Also:
        Constant Field Values

    - #### FILE_BASED_MESSAGE_LOGGING

          public static final String FILE_BASED_MESSAGE_LOGGING

      See Also:
        Constant Field Values

    - #### JDBC_BASED_MESSAGE_LOGGING

          public static final String JDBC_BASED_MESSAGE_LOGGING

      See Also:
        Constant Field Values

    - #### CONSOLE_BASED_MESSAGE_LOGGING

          public static final String CONSOLE_BASED_MESSAGE_LOGGING

      See Also:
        Constant Field Values

    - #### FILE_BASED_MESSAGE_STORE

          public static final String FILE_BASED_MESSAGE_STORE

      See Also:
        Constant Field Values

    - #### JDBC_BASED_MESSAGE_STORE

          public static final String JDBC_BASED_MESSAGE_STORE

      See Also:
        Constant Field Values

    - #### MEMORY_BASED_MESSAGE_STORE

          public static final String MEMORY_BASED_MESSAGE_STORE

      See Also:
        Constant Field Values

    - #### SLEEPYCAT_BASED_MESSAGE_STORE

          public static final String SLEEPYCAT_BASED_MESSAGE_STORE

      See Also:
        Constant Field Values

    - #### DEFAULT_HEART_BT_INT_VALUE

          public static final long DEFAULT_HEART_BT_INT_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_START_TIME_VALUE

          public static final String DEFAULT_START_TIME_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_END_TIME_VALUE

          public static final String DEFAULT_END_TIME_VALUE

      See Also:
        Constant Field Values

    - #### DEFAULT_COUNTER_UPPER_LIMIT

          public static final int DEFAULT_COUNTER_UPPER_LIMIT

      See Also:
        Constant Field Values

    - #### HEART_BY_INT

          public static final String HEART_BY_INT

      See Also:
        Constant Field Values

    - #### BEGIN_STRING

          public static final String BEGIN_STRING

      See Also:
        Constant Field Values

    - #### SENDER_COMP_ID

          public static final String SENDER_COMP_ID

      See Also:
        Constant Field Values

    - #### TARGET_COMP_ID

          public static final String TARGET_COMP_ID

      See Also:
        Constant Field Values

    - #### SENDER_SUB_ID

          public static final String SENDER_SUB_ID

      See Also:
        Constant Field Values

    - #### TARGET_SUB_ID

          public static final String TARGET_SUB_ID

      See Also:
        Constant Field Values

    - #### SENDER_LOCATION_ID

          public static final String SENDER_LOCATION_ID

      See Also:
        Constant Field Values

    - #### TARGET_LOCATION_ID

          public static final String TARGET_LOCATION_ID

      See Also:
        Constant Field Values

    - #### SESSION_QUALIFIER

          public static final String SESSION_QUALIFIER

      See Also:
        Constant Field Values

    - #### SOCKET_CONNECT_HOST

          public static final String SOCKET_CONNECT_HOST

      See Also:
        Constant Field Values

    - #### SOCKET_CONNECT_PORT

          public static final String SOCKET_CONNECT_PORT

      See Also:
        Constant Field Values

    - #### START_TIME

          public static final String START_TIME

      See Also:
        Constant Field Values

    - #### END_TIME

          public static final String END_TIME

      See Also:
        Constant Field Values

    - #### CONNECTION_TYPE

          public static final String CONNECTION_TYPE

      See Also:
        Constant Field Values

    - #### DELIVER_TO_COMP_ID

          public static final String DELIVER_TO_COMP_ID

      See Also:
        Constant Field Values

    - #### DELIVER_TO_SUB_ID

          public static final String DELIVER_TO_SUB_ID

      See Also:
        Constant Field Values

    - #### DELIVER_TO_LOCATION_ID

          public static final String DELIVER_TO_LOCATION_ID

      See Also:
        Constant Field Values

    - #### ON_BEHALF_OF_COMP_ID

          public static final String ON_BEHALF_OF_COMP_ID

      See Also:
        Constant Field Values

    - #### ON_BEHALF_OF_SUB_ID

          public static final String ON_BEHALF_OF_SUB_ID

      See Also:
        Constant Field Values

    - #### ON_BEHALF_OF_LOCATION_ID

          public static final String ON_BEHALF_OF_LOCATION_ID

      See Also:
        Constant Field Values

    - #### FIX_DEFAULT_CONTENT_TYPE

          public static final String FIX_DEFAULT_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### FIX_ACCEPTOR_CONFIG_URL_PARAM

          public static final String FIX_ACCEPTOR_CONFIG_URL_PARAM

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR_CONFIG_URL_PARAM

          public static final String FIX_INITIATOR_CONFIG_URL_PARAM

      See Also:
        Constant Field Values

    - #### FIX_ACCEPTOR_LOGGER_PARAM

          public static final String FIX_ACCEPTOR_LOGGER_PARAM

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR_LOGGER_PARAM

          public static final String FIX_INITIATOR_LOGGER_PARAM

      See Also:
        Constant Field Values

    - #### FIX_ACCEPTOR_MESSAGE_STORE_PARAM

          public static final String FIX_ACCEPTOR_MESSAGE_STORE_PARAM

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR_MESSAGE_STORE_PARAM

          public static final String FIX_INITIATOR_MESSAGE_STORE_PARAM

      See Also:
        Constant Field Values

    - #### FIX_RESPONSE_DELIVER_TO_COMP_ID_PARAM

          public static final String FIX_RESPONSE_DELIVER_TO_COMP_ID_PARAM

      See Also:
        Constant Field Values

    - #### FIX_RESPONSE_DELIVER_TO_SUB_ID_PARAM

          public static final String FIX_RESPONSE_DELIVER_TO_SUB_ID_PARAM

      See Also:
        Constant Field Values

    - #### FIX_RESPONSE_DELIVER_TO_LOCATION_ID_PARAM

          public static final String FIX_RESPONSE_DELIVER_TO_LOCATION_ID_PARAM

      See Also:
        Constant Field Values

    - #### FIX_SERVICE_NAME

          public static final String FIX_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### FIX_RESPONSE_HANDLER_APPROACH

          public static final String FIX_RESPONSE_HANDLER_APPROACH

      See Also:
        Constant Field Values

    - #### FIX_BEGIN_STRING_VALIDATION

          public static final String FIX_BEGIN_STRING_VALIDATION

      See Also:
        Constant Field Values

    - #### FIX_DROP_EXTRA_RESPONSES

          public static final String FIX_DROP_EXTRA_RESPONSES

      See Also:
        Constant Field Values

    - #### FIX_ACCEPTOR_EVENT_HANDLER

          public static final String FIX_ACCEPTOR_EVENT_HANDLER

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR_EVENT_HANDLER

          public static final String FIX_INITIATOR_EVENT_HANDLER

      See Also:
        Constant Field Values

    - #### FIX_IGNORE_ORDER

          public static final String FIX_IGNORE_ORDER

      See Also:
        Constant Field Values

    - #### FIX_USERNAME

          public static final String FIX_USERNAME

      See Also:
        Constant Field Values

    - #### FIX_PASSWORD

          public static final String FIX_PASSWORD

      See Also:
        Constant Field Values

    - #### LOGON

          public static final String LOGON

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_TYPE

          public static final int FIX_MESSAGE_TYPE

      See Also:
        Constant Field Values

    - #### USERNAME_TAG

          public static final int USERNAME_TAG

      See Also:
        Constant Field Values

    - #### PASSWORD_TAG

          public static final int PASSWORD_TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FIXConstants

          public FIXConstants()